<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.micord.ervu</groupId>
    <artifactId>business-metrics</artifactId>
    <version>1.11.0</version>
  </parent>

  <groupId>ru.micord.ervu.business-metrics</groupId>
  <artifactId>db</artifactId>

  <properties>
    <liquibase.skip>true</liquibase.skip>
    <liquibase.propertyFileName />
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.liquibase</groupId>
        <artifactId>liquibase-maven-plugin</artifactId>
        <version>4.15.0</version>
        <configuration>
          <skip>${liquibase.skip}</skip>
          <propertyFile>src/main/resources/properties/${liquibase.propertyFileName}.properties</propertyFile>
          <includeArtifact>true</includeArtifact>
          <promptOnNonLocalDatabase>true</promptOnNonLocalDatabase>
          <outputFileEncoding>UTF-8</outputFileEncoding>
        </configuration>
        <dependencies>
          <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
            <version>42.3.6</version>
          </dependency>
        </dependencies>
      </plugin>
    </plugins>
  </build>

  <profiles>


    <profile>
      <!--Основная база-->
      <id>ervu_business_metrics</id>
      <properties>
        <liquibase.skip>false</liquibase.skip>
        <liquibase.propertyFileName>ervu_business_metrics</liquibase.propertyFileName>
      </properties>
    </profile>

  </profiles>

</project>
